<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xpath-default-namespace="http://www.tei-c.org/ns/1.0"
	xmlns:p="punteggiatura"
	version="2.0"
>
	<xsl:import href="common/identity.xsl"/>

	<xsl:import href="common/chars.xsl"/>

	<xsl:template match="p:TOKEN[preceding::*[not(self::p:WS)][1][self::pc][@orig][. = $char-full-stop]]">
		<xsl:copy>
			<xsl:apply-templates select="@*"/>

			<xsl:variable name="word-cur" select="string(.)"/>
			<xsl:variable name="first-letter-orig" select="substring($word-cur, 1, 1)"/>
			<xsl:variable name="first-letter" select="upper-case($first-letter-orig)"/>
			<xsl:variable name="rest" select="substring($word-cur, 2)"/>
			<xsl:variable name="capitalized" select="concat($first-letter, $rest)"/>

			<xsl:value-of select="$capitalized"/>
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet>
