<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xpath-default-namespace="http://www.tei-c.org/ns/1.0"
	xmlns:xs="http://www.w3.org/2001/XMLSchema"
	xmlns:p="punteggiatura"
	xmlns:marcopolo="marcopolo"
	exclude-result-prefixes="xs"
	version="2.0"
>
	<xsl:import href="common/identity.xsl"/>

	<xsl:function name="marcopolo:expand-abbreviations" as="xs:string">
		<xsl:param name="text" as="xs:string"/>
		
		<xsl:variable name="text" select="replace($text, 'schön͛', 'schöner')"/>
		
		<xsl:variable name="text" select="replace($text, 'nnsn͛', 'nnseren')"/>
		<xsl:variable name="text" select="replace($text, 'andn͛', 'anderen')"/>
		<xsl:variable name="text" select="replace($text, 'here͛', 'herre')"/>
		
		<xsl:variable name="text" select="replace($text, 'aꝛ͞n', 'aren')"/>
		<xsl:variable name="text" select="replace($text, 'eꝛ͞n', 'erren')"/>
		<xsl:variable name="text" select="replace($text, 'ein͛', 'einer')"/>
		<xsl:variable name="text" select="replace($text, 'ihȗ', 'iesu')"/>
		<xsl:variable name="text" select="replace($text, 'ih͞u', 'iesu')"/>
		<xsl:variable name="text" select="replace($text, 'xp͡e', 'christe')"/>
		<xsl:variable name="text" select="replace($text, 'xpȇ', 'christe')"/>

		<xsl:variable name="text" select="replace($text, 'a͞n', 'ann')"/>
		<xsl:variable name="text" select="replace($text, 'añ', 'ann')"/>
		<xsl:variable name="text" select="replace($text, 'eñ', 'enn')"/>
		<xsl:variable name="text" select="replace($text, 'kñ', 'ken')"/>
		<xsl:variable name="text" select="replace($text, 'ꝛ͞m', 'rem')"/>
		<xsl:variable name="text" select="replace($text, 'r͞n', 'rren')"/>
		<xsl:variable name="text" select="replace($text, 'v͡o', 'von')"/>
		<xsl:variable name="text" select="replace($text, 'hn͛', 'herren')"/>
		

		<xsl:variable name="text" select="replace($text, 'ẟ', 'der')"/>
		<xsl:variable name="text" select="replace($text, 'ȃ', 'an')"/>
		<xsl:variable name="text" select="replace($text, 'ȇ', 'en')"/>
		<xsl:variable name="text" select="replace($text, 'e͛', 'er')"/>
		<xsl:variable name="text" select="replace($text, 'ẻ', 'er')"/>
		<xsl:variable name="text" select="replace($text, 'ȋ', 'in')"/>
		<xsl:variable name="text" select="replace($text, 'ȏ', 'on')"/>
		<!--<xsl:variable name="text" select="replace($text, 'ñ', 'nd')"/>-->
		<xsl:variable name="text" select="replace($text, 'n͛', 'rn')"/>
		<xsl:variable name="text" select="replace($text, '^p$', 'per')"/>
		<xsl:variable name="text" select="replace($text, 'r͛', 'rre')"/>
		<xsl:variable name="text" select="replace($text, 't ̾', 'ter')"/>
		<xsl:variable name="text" select="replace($text, 'ʋ͛', 'ver')"/> 
		
		<xsl:variable name="text" select="replace($text, '⁀$', 'er')"/>
		
		<xsl:value-of select="$text"/>
	</xsl:function>

	<xsl:template match="p:TOKEN[not(*)]">
		<xsl:copy>
			<xsl:apply-templates select="@*"/>

			<xsl:variable name="word-cur" select="string(.)"/>
			<xsl:variable name="word-expanded" select="marcopolo:expand-abbreviations($word-cur)"/>

			<xsl:value-of select="$word-expanded"/>
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet>
