<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xpath-default-namespace="http://www.tei-c.org/ns/1.0"
	xmlns:xs="http://www.w3.org/2001/XMLSchema"
	xmlns:p="punteggiatura"
	xmlns:marcopolo="marcopolo"
	exclude-result-prefixes="xs"
	version="2.0"
>
	<xsl:import href="common/identity.xsl"/>

	<xsl:function name="marcopolo:expand-abbreviations" as="xs:string">
		<xsl:param name="text" as="xs:string"/>

		<xsl:variable name="text" select="replace($text, 'vñ', 'und')"/>
		<xsl:variable name="text" select="replace($text, 'vn̑', 'und')"/>
		<xsl:variable name="text" select="replace($text, 'ʋñ', 'und')"/>

		<xsl:value-of select="$text"/>
	</xsl:function>

	<xsl:template match="p:TOKEN[not(*)]">
		<xsl:copy>
			<xsl:apply-templates select="@*"/>

			<xsl:variable name="word-cur" select="string(.)"/>
			<xsl:variable name="word-expanded" select="marcopolo:expand-abbreviations($word-cur)"/>

			<xsl:value-of select="$word-expanded"/>
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet>
