<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xpath-default-namespace="http://www.tei-c.org/ns/1.0"
	xmlns:p="punteggiatura"
	version="2.0"
>
	<xsl:import href="common/identity.xsl"/>

	<xsl:import href="common/chars.xsl"/>
	
	<xsl:template match="p:TOKEN[@eol='true'][ends-with(., $char-double-oblique-hyphen)]">
		<xsl:variable name="part1-raw" select="string(.)"/>
		<xsl:variable name="part1" select="substring-before($part1-raw, $char-double-oblique-hyphen)"/>
		<xsl:variable name="part2" select="string(following::p:TOKEN[1])"/>
		<xsl:variable name="joined-parts">
			<xsl:value-of select="$part1"/>
			<xsl:value-of select="$part2"/>
		</xsl:variable>

		<xsl:copy>
			<xsl:apply-templates select="@*"/>

			<xsl:attribute name="joined" select="true()"/>
			<xsl:attribute name="part1" select="$part1-raw"/>
			<xsl:attribute name="part2" select="$part2"/>

			<xsl:value-of select="$joined-parts"/>

		</xsl:copy>
	</xsl:template>
	
	<xsl:template match="p:TOKEN[preceding::p:TOKEN[1][@eol='true'][ends-with(., $char-double-oblique-hyphen)]]">
		<xsl:comment>
			<xsl:text>Removed ``</xsl:text>
			<xsl:value-of select="."/>
			<xsl:text>'': joined with preceding token</xsl:text>
		</xsl:comment>
	</xsl:template>
</xsl:stylesheet>
