<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xpath-default-namespace="http://www.tei-c.org/ns/1.0"
	xmlns:xs="http://www.w3.org/2001/XMLSchema"
	xmlns:p="punteggiatura"
	xmlns:marcopolo="marcopolo"
	exclude-result-prefixes="xs"
	version="2.0"
>
	<xsl:import href="common/identity.xsl"/>

	<xsl:function name="marcopolo:normalize-letters" as="xs:string">
		<xsl:param name="text" as="xs:string"/>

		<xsl:variable name="text" select="replace($text, 'u͞m', 'um')"/>
		<xsl:variable name="text" select="replace($text, 'm̅b̅ ', 'mb')"/>
		<xsl:variable name="text" select="replace($text, 'm͞b ', 'mb')"/>

		<xsl:variable name="text" select="replace($text, 'á', 'a')"/>
		<xsl:variable name="text" select="replace($text, 'à', 'a')"/>
		<xsl:variable name="text" select="replace($text, 'ȧ', 'ä')"/>
		<xsl:variable name="text" select="replace($text, 'é', 'e')"/>
		<xsl:variable name="text" select="replace($text, 'è', 'e')"/>
		<xsl:variable name="text" select="replace($text, 'í', 'i')"/>
		<xsl:variable name="text" select="replace($text, 'ï', 'i')"/> 
		<xsl:variable name="text" select="replace($text, 'iͦ', 'i')"/>
		<xsl:variable name="text" select="replace($text, 'ñ', 'n')"/>
		<xsl:variable name="text" select="replace($text, 'oͤ', 'ö')"/>
		<xsl:variable name="text" select="replace($text, 'ꝛ', 'r')"/>
		<xsl:variable name="text" select="replace($text, 'ṡ', 's')"/>
		<xsl:variable name="text" select="replace($text, 'uͦ', 'u')"/>
		<xsl:variable name="text" select="replace($text, 'u̇', 'ü')"/>
		<xsl:variable name="text" select="replace($text, 'uͤ', 'ü')"/>
		<xsl:variable name="text" select="replace($text, 'ú', 'u')"/>
		<xsl:variable name="text" select="replace($text, 'ù', 'u')"/>
		<xsl:variable name="text" select="replace($text, 'ŭ', 'u')"/>
		<xsl:variable name="text" select="replace($text, 'ủ', 'u')"/>
		<xsl:variable name="text" select="replace($text, 'ů', 'u')"/>
		<xsl:variable name="text" select="replace($text, 'ʋ̈', 'ü')"/>
		<xsl:variable name="text" select="replace($text, 'ʋ', 'v')"/>
		<xsl:variable name="text" select="replace($text, 'w̆', 'w')"/>
		
		<xsl:variable name="text" select="replace($text, 'e͘m', 'em')"/>

		<xsl:variable name="text" select="replace($text, '^J', 'I')"/>
		<xsl:variable name="text" select="replace($text, 'J', 'i')"/>

		<xsl:variable name="text" select="replace($text, '∻', '')"/>
		<xsl:variable name="text" select="replace($text, 'ᴗ', '')"/>
		<xsl:variable name="text" select="replace($text, '∽', '')"/>
		<xsl:variable name="text" select="replace($text, 'ʃ', '')"/>
		<xsl:variable name="text" select="replace($text, '∴', '')"/>
		<xsl:variable name="text" select="replace($text, '~', '')"/>
		<xsl:variable name="text" select="replace($text, '¶', '')"/>

		<xsl:value-of select="$text"/>
	</xsl:function>

	<xsl:template match="p:TOKEN[not(*)]">
		<xsl:copy>
			<xsl:apply-templates select="@*"/>

			<xsl:variable name="word-cur" select="string(.)"/>
			<xsl:variable name="word-normalized" select="marcopolo:normalize-letters($word-cur)"/>

			<xsl:value-of select="$word-normalized"/>
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet>
