<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:p="punteggiatura"
	xpath-default-namespace="http://www.tei-c.org/ns/1.0"
	version="2.0"
>
	<xsl:import href="common/identity.xsl"/>

	<xsl:import href="common/chars.xsl"/>

	<xsl:template match="body//choice">
		<p:TOKEN>
			<xsl:copy-of select="."/>
		</p:TOKEN>
	</xsl:template>

	<xsl:template match="body//lb">
		<xsl:value-of select="$char-newline"/>
		<xsl:value-of select="$char-newline"/>
		<xsl:copy-of select="."/>
	</xsl:template>
	
	<xsl:template match="body//persName">
		<p:TOKEN>
			<xsl:copy-of select="."/>
		</p:TOKEN>
	</xsl:template>

	<xsl:template match="body//pc">
		<xsl:copy-of select="."/>
	</xsl:template>

	<xsl:template match="body//text()">
		<xsl:for-each select="tokenize(., ' ')">
			<xsl:choose>
				<xsl:when test="normalize-space(.) = ''">
					<p:WS>
						<xsl:value-of select="normalize-space(.)"/>
					</p:WS>
				</xsl:when>
				<xsl:when test="contains(., $char-newline)">
					<p:TOKEN eol="true">
						<xsl:value-of select="substring-before(., $char-newline)"/>
					</p:TOKEN>
					<xsl:value-of select="$char-newline"/>
					<xsl:value-of select="substring-after(., $char-newline)"/>
				</xsl:when>
				<xsl:otherwise>
					<p:TOKEN>
						<xsl:copy/>
					</p:TOKEN>
					<xsl:value-of select="$char-space"/>
					<xsl:value-of select="$char-newline"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
